| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
uiWellDefMnemLogDlg::Tables Class Reference
uiWell

`#include <uiwelldlgs.h>`

Inheritance diagram for uiWellDefMnemLogDlg::Tables:
[legend]

## Public Member Functions
| Tables (Well::Data &, uiGroup *, const MnemonicSelection *mns=nullptr)
| ~Tables ()
const MnemonicSelection & | availMnems () const
const Well::Log * | changedLog () const
const Mnemonic * | changedMnem () const
uiTable & | getTable ()
bool | hasMnem (const Mnemonic *) const
void | restoreDefsBackup ()
void | setDefLog (const int idx, const Well::Log *)
RefMan< Well::Data > | wellData () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
void | createLogRows ()
uiTable * | createLogTable (uiGroup *)
void | createMnemRows ()
void | defLogChangedCB (CallBacker *)
void | fillLogRows ()
void | fillMnemRows ()
void | fillTable ()

## Protected Attributes
MnemonicSelection | availmnems_
Well::Log * | changedlog_ = nullptr
Mnemonic * | changedmn_ = nullptr
ObjectSet< uiComboBox > | deflogsflds_
IOPar | saveddefaults_
uiTable * | table_
RefMan< Well::Data > | wd_

## Private Member Functions
void | getSuitableLogNamesForMnems (const Well::LogSet &, const MnemonicSelection &, ObjectSet< BufferStringSet > &)
void | setSavedDefaults ()

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ Tables()

uiWellDefMnemLogDlg::Tables::Tables | ( | Well::Data & | ,
|  | uiGroup * | ,
|  | const MnemonicSelection * | mns = nullptr )

## ◆ ~Tables()

uiWellDefMnemLogDlg::Tables::~Tables | ( |  | ) |

## Member Function Documentation

## ◆ availMnems()

const MnemonicSelection & uiWellDefMnemLogDlg::Tables::availMnems | ( |  | ) | const
| inline

## ◆ changedLog()

const Well::Log * uiWellDefMnemLogDlg::Tables::changedLog | ( |  | ) | const
| inline

## ◆ changedMnem()

const Mnemonic * uiWellDefMnemLogDlg::Tables::changedMnem | ( |  | ) | const
| inline

## ◆ createLogRows()

void uiWellDefMnemLogDlg::Tables::createLogRows | ( |  | ) |
| protected

## ◆ createLogTable()

uiTable * uiWellDefMnemLogDlg::Tables::createLogTable | ( | uiGroup * |  | ) |
| protected

## ◆ createMnemRows()

void uiWellDefMnemLogDlg::Tables::createMnemRows | ( |  | ) |
| protected

## ◆ defLogChangedCB()

void uiWellDefMnemLogDlg::Tables::defLogChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ fillLogRows()

void uiWellDefMnemLogDlg::Tables::fillLogRows | ( |  | ) |
| protected

## ◆ fillMnemRows()

void uiWellDefMnemLogDlg::Tables::fillMnemRows | ( |  | ) |
| protected

## ◆ fillTable()

void uiWellDefMnemLogDlg::Tables::fillTable | ( |  | ) |
| protected

## ◆ getSuitableLogNamesForMnems()

void uiWellDefMnemLogDlg::Tables::getSuitableLogNamesForMnems | ( | const Well::LogSet & | ,
|  | const MnemonicSelection & | ,
|  | ObjectSet< BufferStringSet > & | )
| private

## ◆ getTable()

uiTable & uiWellDefMnemLogDlg::Tables::getTable | ( |  | ) |

## ◆ hasMnem()

bool uiWellDefMnemLogDlg::Tables::hasMnem | ( | const Mnemonic * |  | ) | const

## ◆ restoreDefsBackup()

void uiWellDefMnemLogDlg::Tables::restoreDefsBackup | ( |  | ) |

## ◆ setDefLog()

void uiWellDefMnemLogDlg::Tables::setDefLog | ( | const int | idx,
|  | const Well::Log * | )

## ◆ setSavedDefaults()

void uiWellDefMnemLogDlg::Tables::setSavedDefaults | ( |  | ) |
| private

## ◆ wellData()

RefMan< Well::Data > uiWellDefMnemLogDlg::Tables::wellData | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ availmnems_

MnemonicSelection uiWellDefMnemLogDlg::Tables::availmnems_
| protected

## ◆ changedlog_

Well::Log* uiWellDefMnemLogDlg::Tables::changedlog_ = nullptr
| protected

## ◆ changedmn_

Mnemonic* uiWellDefMnemLogDlg::Tables::changedmn_ = nullptr
| protected

## ◆ deflogsflds_

ObjectSet<uiComboBox> uiWellDefMnemLogDlg::Tables::deflogsflds_
| protected

## ◆ saveddefaults_

IOPar uiWellDefMnemLogDlg::Tables::saveddefaults_
| protected

## ◆ table_

uiTable* uiWellDefMnemLogDlg::Tables::table_
| protected

## ◆ wd_

RefMan<Well::Data> uiWellDefMnemLogDlg::Tables::wd_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025